/* Square Wave Generator Sketch. Gives a proper reading with multiplier.
  Parts of this sketch are derived from Paul Stoffregen’s public domain
  example code.
*/
#include <FreqCount.h>
#include <LiquidCrystal_I2C.h>
#include <Wire.h>
unsigned long freq = 0;
float impulse;
LiquidCrystal_I2C lcd(0x27, 20, 4);
void setup() {
  lcd.init();
  lcd.backlight();
  FreqCount.begin(1000);
}
void loop() {
  if (FreqCount.available()) {
    freq = FreqCount.read();
    lcd.clear();
    lcd.setCursor(1, 0);
    lcd.print(" Frequency");
    lcd.setCursor(0, 1);
    lcd.print(freq);
    lcd.setCursor(10, 1);
    lcd.print("Hz");
    lcd.setCursor(0, 2);
    lcd.print("Impulse");
    lcd.setCursor(0, 3);
    impulse = ((1 / (float)freq) * 1000000);
    lcd.print(impulse);
    lcd.print(" uS ");
  }
}
